[ruby-cvs:62220] rhe:r55057 (trunk): openssl: fix OpenSSL error queue leak in OpenSSL::PKCS12.new

rhe at ruby-lang.org rhe at ruby-lang.org
Wed May 18 16:59:09 JST 2016


rhe	2016-05-18 16:59:09 +0900 (Wed, 18 May 2016)

  New Revision: 55057

  https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=55057

  Log:
    openssl: fix OpenSSL error queue leak in OpenSSL::PKCS12.new
    
    * ext/openssl/ossl_pkcs12.c (ossl_pkcs12_initialize): pop errors
      leaked by PKCS12_parse(). This is a bug in OpenSSL, which exists
      in the versions before the version 1.0.0t, 1.0.1p, 1.0.2d.

  Modified files:
    trunk/ChangeLog
    trunk/ext/openssl/ossl_pkcs12.c


More information about the ruby-cvs mailing list